package ssl;

/**
 * This is a mechanically-generated class designed to help me figure out
 * why PureTLS-SSL and RMI were working so horribly together.
 */
public class DebugSSLSocket
	extends COM.claymoresystems.ptls.SSLSocket {

	public DebugSSLSocket() {
		super();
		System.err.println("DebugSSLSocket.DebugSSLSocket()");
	}

	public DebugSSLSocket(COM.claymoresystems.ptls.SSLContext p0, java.lang.String p1, int p2)
		throws java.net.UnknownHostException, java.io.IOException {
		super(p0, p1, p2);
		System.err.println("DebugSSLSocket.DebugSSLSocket()");
	}

	public DebugSSLSocket(COM.claymoresystems.ptls.SSLContext p0, java.lang.String p1, int p2, java.net.InetAddress p3, int p4)
		throws java.io.IOException {
		super(p0, p1, p2, p3, p4);
		System.err.println("DebugSSLSocket.DebugSSLSocket()");
	}

	public DebugSSLSocket(COM.claymoresystems.ptls.SSLContext p0, java.lang.String p1, java.lang.Integer p2)
		throws java.net.UnknownHostException, java.io.IOException {
		super(p0, p1, p2);
		System.err.println("DebugSSLSocket.DebugSSLSocket()");
	}

	public DebugSSLSocket(COM.claymoresystems.ptls.SSLContext p0, java.net.InetAddress p1, int p2)
		throws java.io.IOException {
		super(p0, p1, p2);
		System.err.println("DebugSSLSocket.DebugSSLSocket()");
	}

	public DebugSSLSocket(COM.claymoresystems.ptls.SSLContext p0, java.net.InetAddress p1, int p2, java.net.InetAddress p3, int p4)
		throws java.io.IOException {
		super(p0, p1, p2, p3, p4);
		System.err.println("DebugSSLSocket.DebugSSLSocket()");
	}

	public static void main(java.lang.String[] p0)
		throws java.net.UnknownHostException, java.io.IOException {
		System.err.println("DebugSSLSocket.main()");
		COM.claymoresystems.ptls.SSLSocket.main(p0);
	}

	public java.lang.String toString() {
		System.err.println("DebugSSLSocket.toString()");
		return super.toString();
	}

	public void close()
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.close()");
		super.close();
	}

	public java.io.InputStream getInputStream() {
		System.err.println("DebugSSLSocket.getInputStream()");
		return new DebugInputStream(super.getInputStream());
	}

	public java.io.OutputStream getOutputStream() {
		System.err.println("DebugSSLSocket.getOutputStream()");
		return new DebugOutputStream(super.getOutputStream());
	}

	public java.util.Vector getCertificateChain()
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.getCertificateChain()");
		return super.getCertificateChain();
	}

	public int getCipherSuite()
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.getCipherSuite()");
		return super.getCipherSuite();
	}

	public COM.claymoresystems.sslg.SSLPolicyInt getPolicy() {
		System.err.println("DebugSSLSocket.getPolicy()");
		return super.getPolicy();
	}

	public int getVersion()
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.getVersion()");
		return super.getVersion();
	}

	public void renegotiate()
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.renegotiate()");
		super.renegotiate();
	}

	public void renegotiate(COM.claymoresystems.sslg.SSLPolicyInt p0)
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.renegotiate()");
		super.renegotiate(p0);
	}

	public void sendClose()
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.sendClose()");
		super.sendClose();
	}

	public void waitForClose(boolean p0)
		throws java.io.IOException {
		System.err.println("DebugSSLSocket.waitForClose()");
		super.waitForClose(p0);
	}

}
